function aboutRootScan

%this function basically display general information about RootScan for the
%end user.


%initialized GUI figure.

aboutFig = figure('Units', 'normalized', 'Position', [.2 .2 .4 .6], ...
    'MenuBar', 'none', 'Color', [.9 .9 .9], 'NumberTitle', 'off', 'Name', ...
    'About RootScan');



%set up information text box.


aboutText = uicontrol('Parent', aboutFig', 'Style', 'text', 'Units', 'normalized', ...
    'Position', [.05 .5 .9 .45], 'BackgroundColor', [.9 .9 .9]);




%define text string.



aboutString = ['     RootScan Is an semi-automated image analysis program ' ...
    'that deals with the detection and quantification of root cross-section ' ...
    'anatomical traits from stele and cortical regions.  Users can analyze ' ...
    'individual image files using the single file option or entire directories '...
    'using the batch processing ' ...
    'built into RootScan.  For each part of the analysis RootScan has automated ' ...
    'detection algorithms built in to reduce user interaction.  When the automated ' ...
    'detection algorithms fail to accurately detect particular regions or objects ' ...
    'users are perimitted to make appropriate changes to the selection process.  These ' ...
    'These changes are reflected in the data matrix.'];


%set the string now.

set(aboutText, 'String', aboutString);


%set the horizontal alignment now.

set(aboutText, 'HorizontalAlignment', 'left');















end