function threshold_Method(t_method)

%this function will change the threshold method and check the threshold
%method uimenu bar in the appropriate place.

%define the current directory.

cdImages = cd;

    global pix;

    
    %unselect the check box from the current uimenu tab.
    
    set(pix, 'Checked', 'off');
    

switch t_method
    
    case 1 %user selected the local threshold method (using 1-pixel method)
        
        threshMethod                          = 2;
        set(pix(threshMethod-1), 'Checked', 'on');
        
    case 2 %user selected the local threshold method (using 4-pixel method).
        
        threshMethod                          = 3;
        set(pix(threshMethod-1), 'Checked', 'on');

    case 3 %user selected the local threshold method (using 9-pixel method).

        threshMethod                          = 4;
        set(pix(threshMethod-1), 'Checked', 'on');
        
end;



%define the main programs directory path.

pathway_main = which('select_directory.m');

find_last_break = find(pathway_main == 47, 1, 'last'); 
pathway_main =        pathway_main(1:find_last_break); 
    

%go to main programs directory and save the threshold settings there.

cd(pathway_main);
save('threshMethod', 'threshMethod');


%return to current image directory.

cd(cdImages);
        
        
        

end