function testResult = auto_x_section

%this function parents two subfunctions for the efficient and accurate
%detection of the image cross-sections from their backgrounds.

global AllImageSpecs; %mage specifications.
global          img1; %raw image
global  solidSegment; %solid xs image.
    



%run the auto segmentation for the cross-section image.
    
auto_gen_seg;
  

%assign test result variable a null value of zero.
        
testResult = 0;
        
        
%if the automated settings are turned on then we must run a redundancy test
%to verify that we can allow the program to automate the x-section segmentation
%step for THIS image only.
        
switch ((AllImageSpecs.automated_settings(1)*AllImageSpecs.automated_settings(end) == 1) & (bwarea(solidSegment) ~= 0)) 
    
	case 1
        
    	%run a test to determine if the x-section has been segmented
        %accurately before moving on to next image.
            
        image_size  = size(img1,1)*size(img1,2);
            
        testResult = test_x_section(image_size);           
            
           
        
end;
        
        
    
end