function directory_name = checkfiles(directory_name)

%this function will check all files in parent image directory to determine
%if any files were accidentally copied to this location.



%define image sub-directories for all image groups in subdirectories.


%define sub-directories for the solid x-section images and grayscale
%images.

xsSOLIDdir   = dir('SOLID_XS*');
xsdir              = dir('XS*');


allDirs = [xsSOLIDdir; xsdir];


if size(allDirs,1) ~= 0


    %scan all image names now.

    for I = 1:size(allDirs,1)
    
        
        %delete the file now.
        
        imageName = allDirs(I).name;
    
        
        %scan all images in parent directory now.
        
        J = 0;
        
        while J ~= (numel(directory_name) + 1)
            
            J = J+1;
            
            rawimageName = directory_name(J).name;
            
            
            if strcmp(imageName, rawimageName) == 1
                                
                delete(rawimageName);

                directory_name(J) = [];
                
                J = numel(directory_name) + 1;
                
            end;
            
            
            
        end;
    
  

    end;


end;






end