function mainDisplayColor

%this function will allow the user to set the main display color of the
%GUI.


global f_fig;


%load the in the previous settings selected by the user.

dir = which('DATA_AND_DISPLAY');
dir(end-17:end)            = [];


%if the file containing the background color settings exist then open it.
%else set some arbitrary color.

switch exist([dir 'BgColor.mat'], 'file')

    case 2 %it exist use the current settings.
    
    GUIDispColor = load([dir 'BgColor.mat']);



    case 0 %file not found. use some arbitrary color.
        
    GUIDispColor.BgColor = [.7 .7 .7];    
        
        
        
end;
%set the background color by allowing the user to pick the color.

BgColor = uisetcolor(GUIDispColor.BgColor);



%save the background color settings to current rootscan programs directory.

save([dir 'BgColor'], 'BgColor');




%set the current display color to the new settings.

set(f_fig, 'Color', BgColor);






end